It would be nice to have a different icon for Jython geoprocesses in the Toolbox, just like models and BeanShell scripts.

Associated revisions
Revision 192 - 07/05/2016 11:26 AM - Joaquín  del Cerro Murciano

refs  #4252, añadido soporte para que cada geoprocesos pueda especificar el icono a presentar en el panel de geoprocesos.

History
#1 - 07/25/2016 12:49 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2439  (rev. org.gvsig.desktop-2.0.145)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Hola, 
he añadido algo, que aunque no es exactamente lo mismo que pides creo puede ser suficiente.
He hecho que si un geoproceso implementa el interface HasIcon:

  package es.unex.sextante.gui.core;

  import javax.swing.ImageIcon;

  public interface HasIcon {
      public ImageIcon getIcon();
  }

La toolbox use el metodo getIcon() para obtener el icono para ese geoproceso.
Esto permitira que cada geoproceso pueda especificar su propio icono.

#2 - 07/25/2016 04:14 PM - Antonio Falciano

Hi Joaquín,
the basic idea could be to set the icon e.g. in the defineCharacteristics function (or hard code it directly in gvsig.libs.toolbox). For instance:
def defineCharacteristics(self):

    self.setName("My algorithm")
    self.setGroup("My algorithms")
    self.setIcon(imageIcon) #javax.swing.ImageIcon

    params = self.getParameters()
    # ...

Will it be possible in this way? Thanks in advance.

#3 - 08/23/2016 11:37 AM - Álvaro Anguix

Could you test in the last builds?

#4 - 08/23/2016 01:07 PM - Antonio Falciano

To test it simply execute the proceso_desplazamientoxy.py example. Result: the icon of "Prueba desplazamiento in X e Y" is the same of other
geoprocesses in the latest builds, so the feature request is not satisfied yet. AFAIK there's not a setIcon method yet or a new icon for Jython
geoprocesses hard coded in gvsig.libs.toolbox.

#5 - 10/20/2016 05:21 PM - Álvaro Anguix
- Status changed from Fixed to Closed
